com.holonplatform.vaadin.flow.navigator.exceptions

## Class ForbiddenNavigationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.vaadin.flow.navigator.exceptions.ForbiddenNavigationException

- All Implemented Interfaces:
    Serializable

      public class ForbiddenNavigationException
      extends RuntimeException

  Exception used to notify a forbidden navigation target error, when the user does not have the required authorizations to access a navigation target.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_MESSAGE` Default forbidden navigation error message
    `static String` | `DEFAULT_MESSAGE_CODE` Default forbidden navigation error message localization code

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForbiddenNavigationException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MESSAGE

          public static final String DEFAULT_MESSAGE

      Default forbidden navigation error message
      See Also:
        Constant Field Values

    - #### DEFAULT_MESSAGE_CODE

          public static final String DEFAULT_MESSAGE_CODE

      Default forbidden navigation error message localization code
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ForbiddenNavigationException

          public ForbiddenNavigationException()

Copyright © 2020 The Holon Platform. All rights reserved.